hedgehog-1.5: Release with confidence.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hedgehog.Internal.Opaque

Synopsis

- newtype Opaque a = Opaque {
  - unOpaque :: a
  }

# Documentation

newtype Opaque a Source #

Opaque values.

Useful if you want to put something without a `Show` instance inside something which you'd like to be able to display.

For example:

      data State v =
        State {
            stateRefs :: [Var (Opaque (IORef Int)) v]
          } deriving (Eq, Show)

Constructors

Opaque |

Fields

- unOpaque :: a

#### Instances

Instances details

Show (Opaque a) Source # |
Instance details Defined in Hedgehog.Internal.Opaque Methods showsPrec :: Int -> Opaque a -> ShowS Source # show :: Opaque a -> String Source # showList :: [Opaque a] -> ShowS Source #
Eq a => Eq (Opaque a) Source # |
Instance details Defined in Hedgehog.Internal.Opaque Methods (==) :: Opaque a -> Opaque a -> Bool Source # (/=) :: Opaque a -> Opaque a -> Bool Source #
Ord a => Ord (Opaque a) Source # |
Instance details Defined in Hedgehog.Internal.Opaque Methods compare :: Opaque a -> Opaque a -> Ordering Source # (<) :: Opaque a -> Opaque a -> Bool Source # (<=) :: Opaque a -> Opaque a -> Bool Source # (>) :: Opaque a -> Opaque a -> Bool Source # (>=) :: Opaque a -> Opaque a -> Bool Source # max :: Opaque a -> Opaque a -> Opaque a Source # min :: Opaque a -> Opaque a -> Opaque a Source #